Package org.jbpm.services.task.assignment.impl

## Class AssignmentServiceImpl

- java.lang.Object
- - org.jbpm.services.task.assignment.impl.AssignmentServiceImpl

- All Implemented Interfaces:
    `AssignmentService`

      public class AssignmentServiceImpl
      extends Object
      implements AssignmentService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AssignmentServiceImpl()` |
    `AssignmentServiceImpl​(org.kie.internal.task.api.assignment.AssignmentStrategy strategy)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `assignTask​(org.kie.api.task.model.Task task, org.kie.api.task.TaskContext context)` |
    `void` | `assignTask​(org.kie.api.task.model.Task task, org.kie.api.task.TaskContext context, String excludedUser)` |
    `boolean` | `isEnabled()` |
    `void` | `onTaskDone​(org.kie.api.task.model.Task task, org.kie.api.task.TaskContext context)` |
    `void` | `reset()` |
    `void` | `setEnabled​(boolean enabled)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssignmentServiceImpl

          public AssignmentServiceImpl()

    - #### AssignmentServiceImpl

          public AssignmentServiceImpl​(org.kie.internal.task.api.assignment.AssignmentStrategy strategy)

  - ### Method Detail

    - #### reset

          public void reset()

    - #### assignTask

          public void assignTask​(org.kie.api.task.model.Task task,
                                 org.kie.api.task.TaskContext context)

      Specified by:
        `assignTask` in interface `AssignmentService`

    - #### assignTask

          public void assignTask​(org.kie.api.task.model.Task task,
                                 org.kie.api.task.TaskContext context,
                                 String excludedUser)

      Specified by:
        `assignTask` in interface `AssignmentService`

    - #### onTaskDone

          public void onTaskDone​(org.kie.api.task.model.Task task,
                                 org.kie.api.task.TaskContext context)

      Specified by:
        `onTaskDone` in interface `AssignmentService`

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in interface `AssignmentService`

    - #### setEnabled

          public void setEnabled​(boolean enabled)

      Specified by:
        `setEnabled` in interface `AssignmentService`